﻿using Seenginx.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Seenginx.Services
{
	public interface INginxService
	{
		Task<IEnumerable<ConfigFile>> GetFilesAsync();
		Task<IEnumerable<Template>> GetTemplates();
		Task<Result<string>> TestFileAsync(ConfigFile configFile);
		Task<Result<ConfigFile>> AddFileAsync(NewFileForm newFileForm);
		Task<Result<ConfigFile>> SaveFileAsync(ConfigFile configFile);
		Task<Result<ConfigFile>> SaveDraftFileAsync(ConfigFile configFile);
		Task<Result<bool>> RenameFileAsync(ConfigFile configFile);
		Task<Result<bool>> DeleteFileAsync(ConfigFile configFile);
		Task<Result<bool>> ValidateNewConfigurationAsync(NewFileForm newFileForm);
	}
}